package book

import "github.com/gin-gonic/gin"

func registerBookReadRecordRoutes(router gin.IRoutes, routerWithoutRecord gin.IRoutes) {
	router.POST("createBookReadRecord", bookApiGroup.BookReadRecordApi.CreateBookReadRecord)
	router.DELETE("deleteBookReadRecord", bookApiGroup.BookReadRecordApi.DeleteBookReadRecord)
	router.DELETE("deleteBookReadRecordByIds", bookApiGroup.BookReadRecordApi.DeleteBookReadRecordByIds)
	router.PUT("updateBookReadRecord", bookApiGroup.BookReadRecordApi.UpdateBookReadRecord)
	routerWithoutRecord.GET("findBookReadRecord", bookApiGroup.BookReadRecordApi.FindBookReadRecord)
	routerWithoutRecord.GET("getBookReadRecordList", bookApiGroup.BookReadRecordApi.GetBookReadRecordList)
}
